Skip to main content
GET
/
projects
/
{id}
Get a project
curl --request GET \
  --url https://api.onkernel.com/projects/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "proj_abc123",
  "name": "production",
  "status": "active",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://tbd-6fc993ce-hypeship-mobile-proxy-docs.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Project ID

Response

Project details

id
string
required

Unique project identifier

Example:

"proj_abc123"

name
string
required

Project name

Example:

"production"

status
enum<string>
required

Project status

Available options:
active,
archived
Example:

"active"

created_at
string<date-time>
required

When the project was created

updated_at
string<date-time>
required

When the project was last updated